All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MdServerStore

All Superinterfaces:
  java.util.EventListener, MdObjectListener, MdStore, MdStoreListener, MetadataObjects, java.rmi.Remote, java.io.Serializable

    public interface MdServerStore

extends MdStore, MdStoreListener, MetadataObjects, MdObjectListener, java.io.Serializable, java.rmi.Remote

This is the Main store of objects (Cache) for interactions with the server.

Warning: this class should not be used directly by a client. All metadata objects should be created within an `MdObjectStore`. As of version 9.2, most methods within this class have been deprecated.

Field Summary

Fields inherited from interface com.sas.metadata.remote.MdStore
`ExternalIdenty_Context, ExternalIdenty_ImportType, MDSTORETYPE_OBJECTSTORE, MDSTORETYPE_SERVERSTORE`

Fields inherited from interface com.sas.metadata.remote.MetadataObjects
`ABSTRACTEXTENSION, ABSTRACTJOB, ABSTRACTPROMPT, ABSTRACTPROPERTY, ABSTRACTTRANSFORMATION, ACCESSCONTROL, ACCESSCONTROLENTRY, ACCESSCONTROLTEMPLATE, ACTION, AGGREGATION, ANALYTICCOLUMN, ANALYTICCONTEXT, ANALYTICTABLE, APPLICATIONACTION, ARCHIVEENTRY, ARCHIVEFILE, ASSOCIATIONPROPERTY, ATTRIBUTEPROPERTY, AUTHENTICATIONDOMAIN, CALCULATEDMEASURE, CALCULATEDMEMBER, CHANGE, CLASSIFIER, CLASSIFIERMAP, COLUMN, COLUMNHIERARCHY, COLUMNRANGE, COMCONNECTION, CONDITION, CONDITIONACTIONSET, CONDITIONALPRECEDENCE, CONFIGUREDCOMPONENT, CONNECTION, CONTENTLOCATION, CONTENTTYPE, CUBE, CUSTOMASSOCIATION, DATABASECATALOG, DATABASESCHEMA, DATASOURCENAME, DATATABLE, DEPLOYEDCOMPONENT, DEPLOYEDDATAPACKAGE, DEVICE, DEVICETYPE, DIMENSION, DIRECTORY, DOCUMENT, EMAIL, EVENT, EXTENSION, EXTERNALIDENTITY, EXTERNALTABLE, FAVORITESCONTAINER, FEATURE, FEATUREMAP, FILE, FITSTATISTIC, FOREIGNKEY, GLOBALFORMULA, GROUP, GROUPBYCLAUSE, HAVINGCLAUSE, HIERARCHY, HIERARCHYLEVEL, IDENTITY, IDENTITYGROUP, INDEX, INTERNALLOGIN, ITCHANNEL, ITCONTENTSUBSCRIBER, ITEVENTSUBSCRIBER, ITFILTER, ITSUBSCRIBER, JFJOB, JOB, JOIN, JOINTABLE, KEY, KEYASSOCIATION, KEYWORD, LEVEL, LOCALIZEDRESOURCE, LOCALIZEDTYPE, LOCATION, LOGICALCOLUMN, LOGICALSERVER, LOGIN, MACHINE, MEASURE, MEMORY, MININGRESULT, NAMEDSERVICE, NAMEDSET, NUMERICEXTENSION, OLAPPROPERTY, OLAPSCHEMA, OMA_MODEL_DESC, OMA_MODEL_NAME, OMA_MODEL_VERSION, ONCLAUSE, OPENCLIENTCONNECTION, ORDERBYCLAUSE, PERMISSION, PERMISSIONCONDITION, PERSON, PHONE, PHYSICALTABLE, PRIMARYTYPE, PROMPT, PROMPTGROUP, PROPERTY, PROPERTYGROUP, PROPERTYSET, PROPERTYTYPE, PROTOTYPE, PROTOTYPEPROPERTY, PSCOLUMNLAYOUTCOMPONENT, PSLAYOUTCOMPONENT, PSPORTALPAGE, PSPORTALPROFILE, PSPORTLET, QUERYCLAUSE, QUERYTABLE, RELATIONALSCHEMA, RELATIONALTABLE, REPORT, RESPONSIBLEPARTY, ROLE, ROOT, ROWSELECTOR, SASCATALOG, SASCATALOGENTRY, SASCLIENTCONNECTION, SASFILEREF, SASLIBRARY, SASLICENSE, SASPASSWORD, SEARCH, SECONDARYTYPE, SECUREDLIBRARY, SECUREDTABLE, SECURITYRULE, SECURITYRULESCHEME, SECURITYTYPECONTAINMENTRULE, SELECT, SERVERCOMPONENT, SERVERCONTEXT, SERVICECOMPONENT, SERVICETYPE, SHAREDDIMENSION, SOFTWARECOMPONENT, STEPPRECEDENCE, STREAM, SXLEMAP, SYNCSTEP, TABLECOLLECTION, TARGET, TCPIPCONNECTION, TESTCAT, TESTFLEA, TESTGRANDKITTEN, TESTKITTEN, TESTLEG, TESTMOUSE, TESTREQATTRS, TESTROOT, TEXT, TEXTSTORE, TIMESTAMP, TRANSFORMATION, TRANSFORMATIONACTIVITY, TRANSFORMATIONSTEP, TREE, TSNAMEOBJECT, TSNAMESPACE, TYPEDEFINITION, UNIQUEKEY, UNITOFTIME, VARIABLE, WHERECLAUSE, WORKTABLE, XPATH`

Method Summary
`void` | `addMdObjectListener(MdObjectListener l)` Used to add an object to the list of listeners for changes in the Metadata Map
`void` | `addMdStoreIDChangeListener(MdStoreIDChangeListener l)` Used to add an object to the list of listeners for changes in the Metadata Map
`void` | `addMdStoreListener(MdStoreListener l)` Used to add an object to the list of listeners for changes in the Metadata Map
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener l)` Adds a listener to the list
`void` | `changeHashKey(java.lang.String strOldId, java.lang.String strNewId)` Change the hash key associated with an object, and notify listeners
`void` | `clearObjectsFromStore()`
`void` | `createExternalIdentityObject(CMetadata owningObject)` This creates an ExternalIdentity object connection to owningObject for change management.
`void` | `deleteDetailMetadataObject(java.lang.String strFQID)` Deletes an object from the detail Map and fires the MetadataRemoved event.
`boolean` | `deleteObject(CMetadata inObject)` Makes an object unavailable in the object store.
`void` | `deleteObjectFromStores(java.lang.String strFQID)` Delete the object from this store and all object stores.
`void` | `dispose()` Removes objects not being used by any other objectStore.
`void` | `dumpDetailAllHashMaps()` Prints out the contents of the Detail object Map.
`void` | `dumpDetailHashMap()` Prints out the contents of the Detail object Map.
`void` | `flushUpdates(java.util.List<CMetadata> updatedItems)` Flush updated objects to parent store.
`java.util.List` | `getChangedObjects()` Gets a List of changed objects.
`java.util.List` | `getCreatedItemsList()` Returns the list of items created in current write.
`java.util.Map<java.lang.String,CMetadata>` | `getDetailObjectMap()` Deprecated. As of 9.2, the detailObjectMap is no longer used in the ServerStore. All objects should be created in an ObjectStore.
`MdFactory` | `getFactory()` Returns the factory used to create objects.
`boolean` | `getIsGoToServerForMetadata()` Deprecated. `isGoToServerForMetadata()` should be used instead
`CMetadata` | `getObject(java.lang.String strFQID)` Deprecated. As of 9.2, complex objects are no longer stored in the ServerStore. All objects should be created in an ObjectStore.
`CMetadata` | `getObject(java.lang.String strFQID, boolean hashonly)` Deprecated. As of 9.2, complex objects are no longer stored in the ServerStore. All objects should be created in an ObjectStore.
`CMetadata` | `getObjectInChildStore(java.lang.String objectID)` Returns a CMetadata object in a child store.
`MdStore` | `getOwningStore()` Gets the MdStore that owns this store, returns null, no store should own the factory.
`java.util.Map<java.lang.String,CMetadata>` | `getSimpleObjectMap()` Returns the Simple Object Map
`int` | `getStoreType()` Gets the type of store this is, either a `MdStore.MDSTORETYPE_SERVERSTORE` or a `MdStore.MDSTORETYPE_OBJECTSTORE`
`boolean` | `isChildUsingObject(java.lang.String objectID)` Tells whether or not a child ObjectStore is using an object or not.
`boolean` | `isGoToServerForMetadata()` Tells whether or not to go to server for the metadata.
`boolean` | `isObjectInServerStore(java.lang.String objectID)` Returns true if the object is cached in the server store
`java.lang.String` | `makeID(java.lang.String shortID)` Creates a new id for an object.
`void` | `MdObjectsAdded(MdEvent e, java.util.List items)` Event generated when objects are added to the Store's Map.
`void` | `MdObjectsModified(MdEvent e, java.util.List items)` Event generated when objects are modified in the Store.
`void` | `MdObjectsRemoved(MdEvent e, java.util.List items)` Event generated when objects are removed to the Store's Map.
`void` | `removeMdObjectListener(MdObjectListener l)` Used to remove an object from the list of listeners for changes in the Metadata Map
`void` | `removeMdStoreIDChangeListener(MdStoreIDChangeListener l)` Used to remove an object from the list of listeners for changes in the Metadata Map
`void` | `removeMdStoreListener(MdStoreListener l)` Used to remove an object from the list of listeners for changes in the Metadata Map
`void` | `removeStore(MdStore childStore)` Remove an object store from the factory for use.
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener l)` Removes a listener from the list of vetoable listners
`void` | `resetStates(java.util.List items)` Resets all the objects in items to to set from server state or unSET.
`CMetadata` | `restoreObject(java.lang.String objectID)` Restores an object to the Store so that it is available from the store.
`void` | `setGoToServerForMetadata(boolean goToServer)` Tells whether or not to go to server for the metadata.
`void` | `setIsGotToServerForMetadata(boolean goToServer)` Deprecated. `setGoToServerForMetadata(boolean)` should be used instead
`void` | `setOwningStore(MdStore parent)` Sets the owning store, which is not implemented for this `MdStore`
`void` | `updateCreatedItemsList(java.util.List<java.lang.String> items)` remove the items that have been updated from the createdItems list.

Methods inherited from interface com.sas.metadata.remote.MdStore
`addChildStore, createRefreshXMLforStore, isDisposed, removeChildStore`

Method Detail

### getFactory

    MdFactory getFactory()
                         throws java.rmi.RemoteException

  Returns the factory used to create objects.

  Specified by:
    `getFactory` in interface `MdStore`
  Returns:
    MdFactory
  Throws:
    `java.rmi.RemoteException`

### getIsGoToServerForMetadata

    boolean getIsGoToServerForMetadata()
                                       throws java.rmi.RemoteException

  Deprecated. `isGoToServerForMetadata()` should be used instead

  Tells whether or not to go to server for the metadata.

  Specified by:
    `getIsGoToServerForMetadata` in interface `MdStore`
  Returns:
    boolean true if allowed to go to the server.
  Throws:
    `java.rmi.RemoteException`

### setIsGotToServerForMetadata

    void setIsGotToServerForMetadata(boolean goToServer)
                                     throws java.rmi.RemoteException

  Deprecated. `setGoToServerForMetadata(boolean)` should be used instead

  Tells whether or not to go to server for the metadata.

  Specified by:
    `setIsGotToServerForMetadata` in interface `MdStore`
  Parameters:
    `goToServer` - go for metadata
  Throws:
    `java.rmi.RemoteException`

### isGoToServerForMetadata

    boolean isGoToServerForMetadata()
                                    throws java.rmi.RemoteException

  Tells whether or not to go to server for the metadata.

  Specified by:
    `isGoToServerForMetadata` in interface `MdStore`
  Returns:
    boolean true if allowed to go to the server.
  Throws:
    `java.rmi.RemoteException`

### setGoToServerForMetadata

    void setGoToServerForMetadata(boolean goToServer)
                                  throws java.rmi.RemoteException

  Tells whether or not to go to server for the metadata.

  Specified by:
    `setGoToServerForMetadata` in interface `MdStore`
  Parameters:
    `goToServer` - go for metadata
  Throws:
    `java.rmi.RemoteException`

### setOwningStore

    void setOwningStore(MdStore parent)
                        throws java.rmi.RemoteException

  Sets the owning store, which is not implemented for this `MdStore`

  Specified by:
    `setOwningStore` in interface `MdStore`
  Parameters:
    `parent` - MdStore
  Throws:
    `java.rmi.RemoteException`

### getStoreType

    int getStoreType()
                     throws java.rmi.RemoteException

  Gets the type of store this is, either a `MdStore.MDSTORETYPE_SERVERSTORE` or a `MdStore.MDSTORETYPE_OBJECTSTORE`

  Specified by:
    `getStoreType` in interface `MdStore`
  Returns:
    store type as an int.
  Throws:
    `java.rmi.RemoteException`

### getOwningStore

    MdStore getOwningStore()
                           throws java.rmi.RemoteException

  Gets the MdStore that owns this store, returns null, no store should own the factory.

  Specified by:
    `getOwningStore` in interface `MdStore`
  Returns:
    MdStore
  Throws:
    `java.rmi.RemoteException`

### getDetailObjectMap

    java.util.Map<java.lang.String,CMetadata> getDetailObjectMap()
                                                                 throws java.rmi.RemoteException

  Deprecated. As of 9.2, the detailObjectMap is no longer used in the ServerStore. All objects should be created in an ObjectStore.

  Returns the Detail Object Map

  Specified by:
    `getDetailObjectMap` in interface `MdStore`
  Returns:
    The association Map
  Throws:
    `java.rmi.RemoteException`

### getSimpleObjectMap

    java.util.Map<java.lang.String,CMetadata> getSimpleObjectMap()
                                                                 throws java.rmi.RemoteException

  Returns the Simple Object Map

  Returns:
    The association Map
  Throws:
    `java.rmi.RemoteException`

### deleteObject

    boolean deleteObject(CMetadata inObject)
                         throws java.rmi.RemoteException

  Makes an object unavailable in the object store. Use restore to make the object available after a delete. NOT IMPLEMENTED

  Specified by:
    `deleteObject` in interface `MdStore`
  Parameters:
    `inObject` - CMetadata
  Returns:
    boolean if object was deleted
  Throws:
    `java.rmi.RemoteException`

### deleteObjectFromStores

    void deleteObjectFromStores(java.lang.String strFQID)
                                throws java.rmi.RemoteException

  Delete the object from this store and all object stores.

  Parameters:
    `strFQID` - String object to be deleted from client
  Throws:
    `java.rmi.RemoteException`

### makeID

    java.lang.String makeID(java.lang.String shortID)
                            throws java.rmi.RemoteException

  Creates a new id for an object.

  Specified by:
    `makeID` in interface `MdStore`
  Parameters:
    `shortID` - String
  Returns:
    String of new ID
  Throws:
    `java.rmi.RemoteException`

### restoreObject

    CMetadata restoreObject(java.lang.String objectID)
                            throws java.rmi.RemoteException

  Restores an object to the Store so that it is available from the store. NOT IMPLEMENTED.

  Specified by:
    `restoreObject` in interface `MdStore`
  Parameters:
    `objectID` - String
  Returns:
    CMetadata the object that was restored
  Throws:
    `java.rmi.RemoteException`

### resetStates

    void resetStates(java.util.List items)
                     throws java.rmi.RemoteException

  Resets all the objects in items to to set from server state or unSET. NOT IMPLEMENTED.

  Specified by:
    `resetStates` in interface `MdStore`
  Parameters:
    `items` - List
  Throws:
    `java.rmi.RemoteException`

### deleteDetailMetadataObject

    void deleteDetailMetadataObject(java.lang.String strFQID)
                                    throws java.rmi.RemoteException

  Deletes an object from the detail Map and fires the MetadataRemoved event.

  Parameters:
    `strFQID` - String
  Throws:
    `java.rmi.RemoteException`

### dumpDetailHashMap

    void dumpDetailHashMap()
                           throws java.rmi.RemoteException

  Prints out the contents of the Detail object Map.

  Specified by:
    `dumpDetailHashMap` in interface `MdStore`
  Throws:
    `java.rmi.RemoteException`

### dumpDetailAllHashMaps

    void dumpDetailAllHashMaps()
                               throws java.rmi.RemoteException

  Prints out the contents of the Detail object Map.

  Throws:
    `java.rmi.RemoteException`

### getObject

    CMetadata getObject(java.lang.String strFQID,
                        boolean hashonly)
                        throws java.rmi.RemoteException

  Deprecated. As of 9.2, complex objects are no longer stored in the ServerStore. All objects should be created in an ObjectStore.

  Return object associated with ID

  Parameters:
    `strFQID` - String
    `hashonly` - boolean
  Returns:
    CMetadata Object with that id, or null if object not in Detail Map.
  Throws:
    `java.rmi.RemoteException`

### getObject

    CMetadata getObject(java.lang.String strFQID)
                        throws java.rmi.RemoteException

  Deprecated. As of 9.2, complex objects are no longer stored in the ServerStore. All objects should be created in an ObjectStore.

  Return object associated with ID

  Specified by:
    `getObject` in interface `MdStore`
  Parameters:
    `strFQID` -
  Returns:
    CMetadata Object with that id, or null if object not in Detail Map.
  Throws:
    `java.rmi.RemoteException`

### isObjectInServerStore

    boolean isObjectInServerStore(java.lang.String objectID)
                                  throws java.rmi.RemoteException

  Returns true if the object is cached in the server store

  Parameters:
    `objectID` - the object id
  Returns:
    true if the object is in the server store, false otherwise
  Throws:
    `java.rmi.RemoteException`

### changeHashKey

    void changeHashKey(java.lang.String strOldId,
                       java.lang.String strNewId)
                       throws java.rmi.RemoteException

  Change the hash key associated with an object, and notify listeners

  Specified by:
    `changeHashKey` in interface `MdStore`
  Parameters:
    `strOldId` - String
    `strNewId` - String
  Throws:
    `java.rmi.RemoteException`

### createExternalIdentityObject

    void createExternalIdentityObject(CMetadata owningObject)
                                      throws java.rmi.RemoteException

  This creates an ExternalIdentity object connection to owningObject for change management. This new object contains the real repos id for the new object.

  Specified by:
    `createExternalIdentityObject` in interface `MdStore`
  Parameters:
    `owningObject` - CMetadata Object to which to attach ExternalIdentity.
  Throws:
    `java.rmi.RemoteException`

### flushUpdates

    void flushUpdates(java.util.List<CMetadata> updatedItems)
                      throws java.rmi.RemoteException

  Flush updated objects to parent store. NOT IMPLEMENTED

  Specified by:
    `flushUpdates` in interface `MdStore`
  Parameters:
    `updatedItems` - List
  Throws:
    `java.rmi.RemoteException`

### dispose

    void dispose()
                 throws java.rmi.RemoteException

  Removes objects not being used by any other objectStore.

  Specified by:
    `dispose` in interface `MdStore`
  Throws:
    `java.rmi.RemoteException`

### removeStore

    void removeStore(MdStore childStore)
                     throws java.rmi.RemoteException

  Remove an object store from the factory for use. Also removes any objects that are not being used by any other ObjectStore.

  Parameters:
    `childStore` - MdStore The store to remove.
  Throws:
    `java.rmi.RemoteException`

### isChildUsingObject

    boolean isChildUsingObject(java.lang.String objectID)
                               throws java.rmi.RemoteException

  Tells whether or not a child ObjectStore is using an object or not.

  Parameters:
    `objectID` - String
  Returns:
    true if using object elsewhere, false if not.
  Throws:
    `java.rmi.RemoteException`

### getObjectInChildStore

    CMetadata getObjectInChildStore(java.lang.String objectID)
                                    throws java.rmi.RemoteException

  Returns a CMetadata object in a child store.

  Parameters:
    `objectID` - String
  Returns:
    the object in a child store, or null if the object cannot be found
  Throws:
    `java.rmi.RemoteException`

### getChangedObjects

    java.util.List getChangedObjects()
                                     throws java.rmi.RemoteException

  Gets a List of changed objects.

  Specified by:
    `getChangedObjects` in interface `MdStore`
  Returns:
    An List of changed objects.
  Throws:
    `java.rmi.RemoteException`

### MdObjectsAdded

    void MdObjectsAdded(MdEvent e,
                        java.util.List items)
                        throws java.rmi.RemoteException

  Event generated when objects are added to the Store's Map.

  Specified by:
    `MdObjectsAdded` in interface `MdStoreListener`
  Parameters:
    `e` - MdEvent
    `items` - List
  Throws:
    `java.rmi.RemoteException`

### MdObjectsRemoved

    void MdObjectsRemoved(MdEvent e,
                          java.util.List items)
                          throws java.rmi.RemoteException

  Event generated when objects are removed to the Store's Map.

  Specified by:
    `MdObjectsRemoved` in interface `MdStoreListener`
  Parameters:
    `e` - MdEvent
    `items` - List
  Throws:
    `java.rmi.RemoteException`

### MdObjectsModified

    void MdObjectsModified(MdEvent e,
                           java.util.List items)
                           throws java.rmi.RemoteException

  Event generated when objects are modified in the Store.

  Specified by:
    `MdObjectsModified` in interface `MdStoreListener`
  Parameters:
    `e` - MdEvent
    `items` - List
  Throws:
    `java.rmi.RemoteException`

### addMdObjectListener

    void addMdObjectListener(MdObjectListener l)
                             throws java.rmi.RemoteException

  Used to add an object to the list of listeners for changes in the Metadata Map

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### removeMdObjectListener

    void removeMdObjectListener(MdObjectListener l)
                                throws java.rmi.RemoteException

  Used to remove an object from the list of listeners for changes in the Metadata Map

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### addMdStoreIDChangeListener

    void addMdStoreIDChangeListener(MdStoreIDChangeListener l)
                                    throws java.rmi.RemoteException

  Used to add an object to the list of listeners for changes in the Metadata Map

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### removeMdStoreIDChangeListener

    void removeMdStoreIDChangeListener(MdStoreIDChangeListener l)
                                       throws java.rmi.RemoteException

  Used to remove an object from the list of listeners for changes in the Metadata Map

  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### addMdStoreListener

    void addMdStoreListener(MdStoreListener l)
                            throws java.rmi.RemoteException

  Used to add an object to the list of listeners for changes in the Metadata Map

  Specified by:
    `addMdStoreListener` in interface `MdStore`
  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### removeMdStoreListener

    void removeMdStoreListener(MdStoreListener l)
                               throws java.rmi.RemoteException

  Used to remove an object from the list of listeners for changes in the Metadata Map

  Specified by:
    `removeMdStoreListener` in interface `MdStore`
  Parameters:
    `l` - MetadataListener
  Throws:
    `java.rmi.RemoteException`

### addVetoableChangeListener

    void addVetoableChangeListener(java.beans.VetoableChangeListener l)
                                   throws java.rmi.RemoteException

  Adds a listener to the list

  Specified by:
    `addVetoableChangeListener` in interface `MdStore`
  Parameters:
    `l` - VetoableChangeListener
  Throws:
    `java.rmi.RemoteException`

### removeVetoableChangeListener

    void removeVetoableChangeListener(java.beans.VetoableChangeListener l)
                                      throws java.rmi.RemoteException

  Removes a listener from the list of vetoable listners

  Specified by:
    `removeVetoableChangeListener` in interface `MdStore`
  Parameters:
    `l` - VetoableChangeListener
  Throws:
    `java.rmi.RemoteException`

### clearObjectsFromStore

    void clearObjectsFromStore()
                               throws java.rmi.RemoteException

  Remove all non-deleted objects from the store and usage... **Note: doesn't handle deleted objects.

  Throws:
    `java.rmi.RemoteException`

### getCreatedItemsList

    java.util.List getCreatedItemsList()
                                       throws java.rmi.RemoteException

  Returns the list of items created in current write.

  Returns:
    List
  Throws:
    `java.rmi.RemoteException`

### updateCreatedItemsList

    void updateCreatedItemsList(java.util.List<java.lang.String> items)
                                throws java.rmi.RemoteException

  remove the items that have been updated from the createdItems list.

  Specified by:
    `updateCreatedItemsList` in interface `MdStore`
  Parameters:
    `items` -
  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.